Package org.apache.sling.feature.extension.apiregions

# Class APIRegionMergeHandler

java.lang.Object
org.apache.sling.feature.extension.apiregions.APIRegionMergeHandler

All Implemented Interfaces:
  `org.apache.sling.feature.builder.MergeHandler`

public class APIRegionMergeHandler extends Object implements org.apache.sling.feature.builder.MergeHandler
Merge to api region extensions

## Constructor Summary

Constructors
Constructor
Description
`APIRegionMergeHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canMerge(org.apache.sling.feature.Extension extension)`
`void`
`merge(org.apache.sling.feature.builder.HandlerContext context, org.apache.sling.feature.Feature target, org.apache.sling.feature.Feature source, org.apache.sling.feature.Extension targetEx, org.apache.sling.feature.Extension sourceEx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### APIRegionMergeHandler

public APIRegionMergeHandler()

## Method Details

### canMerge

public boolean canMerge(org.apache.sling.feature.Extension extension)

Specified by:
  `canMerge` in interface `org.apache.sling.feature.builder.MergeHandler`

### merge

public void merge(org.apache.sling.feature.builder.HandlerContext context, org.apache.sling.feature.Feature target, org.apache.sling.feature.Feature source, org.apache.sling.feature.Extension targetEx, org.apache.sling.feature.Extension sourceEx)

Specified by:
  `merge` in interface `org.apache.sling.feature.builder.MergeHandler`